CREATE OR REPLACE
package fts_filestats
IS

-- public variables
VALID_SCHEMA_VERSION CONSTANT VARCHAR(10) := '3.1.0';         

FILESTATS_SCHEMA_VERSION CONSTANT VARCHAR(10) := '1.0.0';

HEADER_VERSION CONSTANT VARCHAR(10) := '1.0.0';

 
-- public method headers

procedure log_transfer
   ( v_file_id T_FILE.FILE_ID%TYPE,
     v_filesize T_FILE.FILESIZE%TYPE,
     v_num_failures T_FILE.NUM_FAILURES%TYPE,
     v_finish_time T_FILE.FINISH_TIME%TYPE,
     v_job_id T_FILE.JOB_ID%TYPE );
   
procedure printversion;

procedure check_schema_version;
	 
END;
/
